package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class UserFeignFactory implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable cause) {
        return new UserFeign() {
            @Override
            public Result<User> userFindByuserTel(User user) {
                return Result.error("网络不稳定");
            }

            @Override
            public Result<User> userSendCode(String userTel) {
                return Result.error("网络不稳定");
            }
        };
    }
}
