package com.bwie.job.sched;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Job;
import com.bwie.job.service.impl.JobServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class SchedSelectByDay10 {

    @Autowired
    private JobServiceImpl jobService;
    @Autowired
    private StringRedisTemplate redisTemplate;
    @Scheduled(cron = "0/59 * * * * ?")
    public void SyncBlog2EsPerMinute(){
        for (Job job : jobService.findJobList( null, null )) {
            Job byJobTime = jobService.findByJobTime( job.getJobTime() );
            jobService.updJobExpiredByTime( byJobTime.getFirmId() );
            if(jobService.updJobExpiredByTime( byJobTime.getFirmId() )>0){
                System.out.println("定时任务启动成功=====>默认企业发布的岗位有效期为10天，已将失效的岗位状态修改为已过期");
            }
            String firmName = byJobTime.getFirmName();
            redisTemplate.opsForValue().set( "企业名称:"+firmName, JSONObject.toJSONString( byJobTime ) );
            redisTemplate.opsForValue().get( "企业名称:"+firmName );
            System.out.println("取出存入Redis的招聘信息："+firmName);
        }

    }
}
